Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class WFServerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.fujitsu.iflow.model.util.ModelException
                  com.fujitsu.iflow.model.util.WFServerException

All Implemented Interfaces:
  java.io.Serializable

public class WFServerException
extends ModelException

Catch only exceptions of the `ModelException` superclass for future compatibility. `WFServerException` indicates that a server operation error has occurred. This type of error is only thrown when an error occurs in the server.

See Also:
  `ModelException`, `DirException`, `DMSException`, `ModelInternalException`, `WFInternalException`, Serialized Form

Field Summary

Fields inherited from class com.fujitsu.iflow.model.util.ModelException
`params`

Constructor Summary
`WFServerException(int errorCode)` Initializes newly created `WFServerException` object with specified error code.
`WFServerException(int errorCode, java.lang.String errorMessage)` Initializes newly created `WFServerException` object with both the specified error code and the specified error message.
`WFServerException(int errorCode, java.lang.Throwable source)` Initializes newly created `WFServerException` object with the specified error code and source exception.
`WFServerException(java.lang.Throwable source)` Initializes newly created `WFServerException` object with a source exception.
`WFServerException(java.lang.Throwable source, int errorCode, java.lang.String errorMessage)` Initializes newly created `WFServerException` object with the specified error code, error message, and source exception.

Methods inherited from class com.fujitsu.iflow.model.util.ModelException
`getCause, getErrorCode, getExceptionType, getMessage, getParam, getParams, getSource, getTemplate, printException, printStackTrace, setExceptionType, setParam, setParam, setParam, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WFServerException

    public WFServerException(int errorCode)

  Initializes newly created `WFServerException` object with specified error code.

Parameters:
  `errorCode` - The code to be associated with this `WFServerException`.

### WFServerException

    public WFServerException(java.lang.Throwable source)

  Initializes newly created `WFServerException` object with a source exception.

Parameters:
  `source` - The source exception to be associated with this `WFServerException`.

### WFServerException

    public WFServerException(int errorCode,
                             java.lang.String errorMessage)

  Initializes newly created `WFServerException` object with both the specified error code and the specified error message.

Parameters:
  `errorCode` - The code to be associated with this `WFServerException`.
  `errorMessage` - The message to be associated with this `WFServerException`.

### WFServerException

    public WFServerException(java.lang.Throwable source,
                             int errorCode,
                             java.lang.String errorMessage)

  Initializes newly created `WFServerException` object with the specified error code, error message, and source exception.

Parameters:
  `source` - The source exception to be associated with this `WFServerException`.
  `errorCode` - The code to be associated with this `WFServerException`.
  `errorMessage` - The message to be associated with this `WFServerException`.

### WFServerException

    public WFServerException(int errorCode,
                             java.lang.Throwable source)

  Initializes newly created `WFServerException` object with the specified error code and source exception.

Parameters:
  `source` - The source exception to be associated with this `WFServerException`.
  `errorCode` - The code to be associated with this `WFServerException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD